job "dummy-http-server" {
  datacenters = ["dc1"]
  group "server-group" {
    count = 5

    network {
      port "http" {}
    }

    service {
      name = "dummy-http-server"
      port = "http"
      check {
        type     = "http"
        path     = "/health"
        interval = "2s"
        timeout  = "2s"
      }
      tags = [
        "url=dummy.hammerhead.luxeylab.net"
      ]
    }

    task "server" {
      driver = "docker"
      
      config {
        ports = ["http"]
        image = "hashicorp/http-echo:latest"
        args  = [
          "-listen", ":${NOMAD_PORT_http}",
          "-text", "Hello and welcome to ${NOMAD_IP_http}:${NOMAD_PORT_http}",
        ]
      }
    }
  }
}