upstream gitea-frontend {
  server 127.0.0.1:3000;
}

server {
  listen 80;
  listen [::]:80;
  server_name gitea.hammerhead.luxeylab.net;


  # Forward information from nginx to the upstream
  # add_header Strict-Transport-Security    "max-age=31536000; includeSubDomains" always;
  add_header X-Frame-Options              SAMEORIGIN;
  add_header X-Content-Type-Options       nosniff;
  add_header X-XSS-Protection             "1; mode=block";
  location / {
    # Forward information from nginx to the upstream
    proxy_set_header    X-Real-IP           $remote_addr;
    proxy_set_header    X-Forwarded-For     $proxy_add_x_forwarded_for;
    proxy_set_header    X-Forwarded-Proto   $scheme;
    proxy_set_header    Host                $http_host;
    proxy_set_header    X-Forwarded-Host    $http_host;
    proxy_set_header    X-Forwarded-Port    $server_port;

    proxy_pass http://gitea-frontend;
  }
}