addresses {
  http = "::"
  rpc = "::"
  serf = "::"
}

advertise {
  http = "2001:41d0:8:ba0b::1"
  rpc = "2001:41d0:8:ba0b::1"
  serf = "2001:41d0:8:ba0b::1"
}

bind_addr = "[::]"

data_dir = "/var/lib/nomad"

server {
  enabled          = true
  bootstrap_expect = 1
}

consul {
  address = "[::1]:8500"
  grpc_address = "[::1]:8502"
}

client {
  enabled = true
  servers = ["[::1]:4648"]
  network_interface = "eno1"
  options {
    docker.privileged.enabled = "true"
    docker.volumes.enabled = "true"
  }

  host_volume "postgres-data" {
    path      = "/opt/postgres/data"
    read_only = false
  }

  host_volume "gitea-data" {
    path      = "/opt/gitea/data"
    read_only = false
  }
}

plugin "raw_exec" {
  config {
    enabled = true
  }
}

telemetry {
  collection_interval = "1s"
  disable_hostname = false
  prometheus_metrics = true
  publish_allocation_metrics = true
  publish_node_metrics = true
}
